# List root folders

List the paths (rasters, vectors, folders etc.) that exist in a root folder of your Ellipsis Drive account. The "My drive", "Shared with me", "Favorites" and "Trash" tabs in the app are populated using this endpoint.

| **Description** | List the items in a root folder of your drive |
| --------------- | --------------------------------------------- |
| **Endpoint**    | `/account/root/{rootName}`                    |
| **Method**      | GET                                           |

### Access Level Rules

| **Access Level** | Account holder only |
| ---------------- | ------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="280">Description</th><th width="150">Required</th><th>Default</th></tr></thead><tbody><tr><td><code>rootName</code></td><td>Name of the root folder to retrieve items from. Must be one of "myDrive", "sharedWithMe", "favorites" or "trash".</td><td>true</td><td></td></tr><tr><td><code>type</code></td><td>An array containing the types of the paths to retrieve. May contain the strings "raster", "vector", "folder", "file", "pointCloud" and "bookmark".</td><td>false</td><td>Default ["raster", "vector"].</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of child paths to return. Maximum 50.</td><td>false</td><td>Default 50.</td></tr><tr><td><code>pageStart</code></td><td>The nextPageStart as returned in a previous list root request to retrieve the next batch of child paths.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/account/list-root-folders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
